package com.ufo.gatling.ctrl;

import java.util.Properties;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.github.pagehelper.PageHelper;

@Configuration
public class PageHelperCfg {
	
	@Bean
	public PageHelper pageHelper() {
		Properties p=new Properties();
		p.setProperty("offsetAsPageNum", "true");
		p.setProperty("rowBoundsWithCount", "true");
		p.setProperty("reasonable", "true");
		
		PageHelper ph=new PageHelper();
		ph.setProperties(p);
		
		return ph;
	}
}
