package com.ufo.gatling.ctrl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import com.ufo.gatling.entity.Emp;
import com.ufo.gatling.mapper.EmpMapper;

@Controller
public class MvcCtrl {
	@Autowired
	private EmpMapper empMapper=null;
	
	// http://localhost:8080/listemps
	@GetMapping("/listemps")
	public ModelAndView index() {
		List<Emp> list=empMapper.findAll();
		
		ModelAndView mv=new ModelAndView("index");
		mv.addObject("empList", list);
		return mv;
	}
	
	@RequestMapping("/pagedemps")
	public String pageShowEmps() {
		//ModelAndView mv=new ModelAndView("index");
		return "index";
	}
}
